package app.forward;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ConfirmationServlet extends HttpServlet
{
  @Override
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
  {
    try
    {
      PrintWriter printWriter;
      // gets the list of options from the request Attribute
      // created in the MultipleValueFieldHandlerServlet servlet.
      List<String> checkedLabels = 
              (List<String>) request.getAttribute("checkedLabels");
      // sets the return data type
      response.setContentType("text/html");
      // gets a Printwriter for returning  responses
      printWriter = response.getWriter();
      printWriter.println("<p>");
      printWriter.print("The following options were selected:");
      printWriter.println("<br/>");
      // returns users (client) selected option
      if (checkedLabels != null)
      {
        for (String optionLabel : checkedLabels)
        {
          printWriter.print(optionLabel);
          printWriter.println("<br/>");
        }
      }
      else
      {
        printWriter.println("None");
      }
      printWriter.println("</p>");
    }
    catch (IOException ioException)
    {
      ioException.printStackTrace();
    }
  }
}